	DEVICE ZXSPECTRUM48

	ORG 23766
Start
	DI
	LD SP,30000
	EI
	
	XOR A					;clear screen
	LD (23624),A 
	OUT (254),A
	LD A,66
	LD (23693),A			;Basic system variable
	CALL 3435				;Rom CLS
	LD A,2
	CALL 5633				;open channel for typing
	
	
;setting game values
	XOR A
	LD HL,GirlStage
	LD B,3
Start2		
	LD (HL),A
	INC HL
	DJNZ Start2	
	
	LD A,5					;initial cash
	LD (HL),A				
	INC HL
	LD (HL),A				
	INC HL	
	
	LD A,1					;dice values set to one, status active, menu option=1
	LD B,21
Start3		
	LD (HL),A
	INC HL
	DJNZ Start3	
	

	LD DE,Text1				;type menu, draw girl
	CALL TypeText
	CALL DrawGirl
	
MainLoop
	HALT
	CALL DrawBothDice
	CALL TypeCash
	CALL GameControl

;highlight chosen option in the menu
 	LD HL,22528+672					;clear old highlight
	LD BC,18*256+66					;(paint everything red)
DisplayMenu1
	LD (HL),C						
	INC L
	DJNZ DisplayMenu1
	
	LD HL,22528+672-7				;find position of chosen command
	LD DE,7
	LD A,(MenuOption)	
DisplayMenu2
	ADD HL,DE						
	DEC A
	JR NZ,DisplayMenu2
	
	LD B,E							;B=7
	LD A,70							;paint chosen option yellow
DisplayMenu3
	LD (HL),A						
	INC L
	DJNZ DisplayMenu3

	JR MainLoop
	
	INCLUDE <Graphics.asm>
	INCLUDE <Logic.asm>
	
	ORG 25000	
;game variables
GirlStage			.BYTE 0				;0-6
GamePart			.BYTE 0				;0 - before 1st juggling, 1- before 2nd juggling

Pot					.BYTE 0
MyCash				.BYTE 5
LucyCash			.BYTE 5

MenuOption			.BYTE 1

MyDice				.BYTE 1,1,1,1,1
LucyDice			.BYTE 1,1,1,1,1

MySelectedDice		.BYTE 1,1,1,1,1
LucySelectedDice	.BYTE 1,1,1,1,1

	SAVESNA "Gambler.sna",Start
	SAVEBIN "Gambler.bin",23766,1003
